function init()
	e.onscreenOverride = 1
	e.interval = 400
	--e.intervalVar = 30
	e.num = -1--infinite

	e.addGFX("trailcomet.png")
	e.layer = 1
	e.lifetimer = 8200
	e.lifetimerVar = 1000
	
	e.movrotVar = 10
	e.rotVar = 0
	
	e.speed = 30
	e.speedVar = 20
	
	e.spinVar = 1.5
	
	e.alpha = .3
	e.alphaSpeed = -.00075
	
	e.scale = 2.5
	e.scaleVar = .5
	e.scaleSpeed = .005
	e.scaleSpeedVar = .002
	
	--e.setRGB(150,150,150)
	--e.setRGB(0,0,255)
	
	return 0
end


